メインコンテンツへスキップ
POST
/
task
/
updateTaskParameters
タスクパラメータの更新
curl --request POST \
  --url https://openapi.octoparse.com/task/updateTaskParameters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taskId": "<string>",
  "actions": [
    {
      "actionType": "<string>",
      "actionId": "<string>",
      "properties": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "loopItems": {
        "actionId": "<string>",
        "loopType": "<string>",
        "loopItems": [
          "<string>"
        ],
        "isAppend": true
      }
    }
  ]
}
'
{
  "data": {
    "taskId": "<string>",
    "updatedParameters": {}
  },
  "requestId": "<string>"
}

承認

Authorization
string
header
必須

POST /tokenで取得したaccess_tokenを使用します。

ボディ

application/json
taskId
string
必須
actions
object[]
必須

レスポンス

200 - application/json

タスクパラメーターの更新に成功しました。

data
object
requestId
string